# Docker Compose Repo for Meetling and Jitsi Admin


## Installation of Jitsi Admin
Use the root user to setup docker and Jitsi Admin
```sh
su root
```

To use the setup script for docker-compose, run the following commands.

```sh
echo "Download Setup Script"
wget https://git.h2-invent.com/Meetling/Docker-Compose/raw/branch/main/setup.sh
echo "Execute Setup Script"
bash setup.sh
echo "Remove Setup Script"
rm setup.sh
echo "Execute Docker Compose"
cd /opt/jitsi-admin && docker-compose up -d
```


## Working directory
The setup script will clone and add files into the directory /opt/jitsi-admin.

You can run the composer command inside this directory again to update the containers or check the variables which are used to setup the containers.

```sh
cd /opt/jitsi-admin 
```
Following Files are important and have been changed and setup with the script:
* .env.local
* docker.config
* docker-compose.yml

## Add additional custom configs

To add additional custom environment variables, you can add a file .env.custom and add your variables there.
This file will not be changed from the setup script and will be used inside all containers to overwrite the existing .env and .env.local
```sh
MAILER_DSN='smtps://<username>:<password>@<smtpHost>:<smtpPort>'
DEFAULT_LANGUAGE='de'
```

## Final Result
Following final Result should be printed from the docker-compose command:
```sh
# docker-compose up -d
Creating network "jitsi-admin_external" with the default driver
Creating network "jitsi-admin_internal" with the default driver
Creating jitsi-admin_traefik-ja_1   ... done
Creating jitsi-admin_db-ja_1        ... done
Creating jitsi-admin_websocket-ja_1 ... done
Creating jitsi-admin_app-ja_1       ... done
Creating jitsi-admin_keycloak-ja_1  ... done
```

